Qt 5.11 | Qt 3D | C++ Classes | QLevelOfDetailSwitch

Qt 5.11.3 Reference Documentation

# QLevelOfDetailSwitch Class

(Qt3DRender::QLevelOfDetailSwitch)

Provides a way of enabling child entities based on distance or screen size. More...

Header: | #include <QLevelOfDetailSwitch>
qmake: | QT += 3drender
Since: | Qt 5.9
Instantiated By: | LevelOfDetailSwitch
Inherits: | Qt3DRender::QLevelOfDetail

- List of all members, including inherited members

## Public Functions

| QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DRender::QLevelOfDetail
- 2 public functions inherited from Qt3DCore::QComponent
- 13 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 5 properties inherited from Qt3DRender::QLevelOfDetail
- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode
- 5 public slots inherited from Qt3DRender::QLevelOfDetail
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode
- 5 signals inherited from Qt3DRender::QLevelOfDetail
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides a way of enabling child entities based on distance or screen size.

This component is assigned to an entity. When the entity changes distance relative to the camera, the QLevelOfDetailSwitch will disable all the child entities except the one matching index Qt3DRender::QLevelOfDetailSwitch::currentIndex.

## Member Function Documentation

### QLevelOfDetailSwitch::QLevelOfDetailSwitch(Qt3DCore::QNode *parent = nullptr)

Constructs a new QLevelOfDetailSwitch with the specified parent.